API Reference
/- Submit Proof of Delivery
Query tracking status by tracking no (with UTC offset)
Submit Proof of Delivery
Submits a Proof of Delivery request for a delivered shipment. Only USPS (carrier_code = USPS) is supported today; other carriers are rejected with a business error.
Security
BearerAuth
Carrier tracking number of the shipment the POD is requested for.
Example:"940XXXXXXXXXXXXXXXXX"
Carrier code. Only USPS is currently supported; any other value is rejected with shipment.carrier_code_illegal.
Value:"USPS"
Example:"USPS"
Recipients who will receive the POD letter by email. Must contain 1 to 3 recipients.
POST
curl -i -X POST \
https://x-api.shipsaving.com/api/shipment/submit_pod \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"tracking_number": "940XXXXXXXXXXXXXXXXX",
"carrier_code": "USPS",
"recipients": [
{
"email": "xxxxxxx@gmail.com",
"first_name": "Lisa",
"last_name": "Green"
}
],
"letter_type": "PROOF_OF_DELIVERY"
}'Response
{ "code": "ok", "msg": "ok", "data": { "transaction_message": "Your Proof of Delivery record is complete and will be processed shortly." } }